# \[Under Construction] Custom Cards

{% hint style="info" %}
These endpoints are in beta testing. Some features may not work as documented or may behave unexpectedly.&#x20;
{% endhint %}

Custom cards allow data to display from other systems. Acquire cards appear within the middle and right-hand positions of the dashboard. Using this feature, custom apps can create a card to display data on the contact profile.\
Acquire has two types of cards: [app-custom-cards](https://github.com/acquireio/custom-cards#app-custom-card) and [manual-cards](https://github.com/acquireio/custom-cards#manual-card). Once the card is configured correctly, your external system information will appear in the Acquire Agent's dashboard.

* [Timeline-cards](/rest-apis/cards/interaction-cards-middle.md) (Middle of agent dashboard)
* [Exclusive-cards](/rest-apis/cards/general-cards-right-side.md) (Right-side of agent dashboard)

{% hint style="success" %}
**See the** [**Acquire card**](https://github.com/acquireio/custom-cards) **documentation for more details and setting up cards.**
{% endhint %}

### CARD JSON OBJECT SCHEMA:

| Key                | Type     | description                                                                                                                                                     |
| ------------------ | -------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `type`             | `string` | <p>block -<br>action -<br><strong>tab</strong> - The tab renders a card on the right side of the dashboard as part of the app.<br>script\_tags -<br>style -</p> |
| `display_scope`    | `string` | <p>home -<br>contact\_action -<br>case\_action -<br>message\_action -<br>picker -<br>main (for other) -</p>                                                     |
| `config`           | `json`   | The config object is described in the table below.                                                                                                              |
| `submit_sheet_url` | `json`   | Success                                                                                                                                                         |
| `area`             | `enum`   | <p>backend -<br>frontend -</p>                                                                                                                                  |

###

### CARD CONFIG JSON SCHEMA:

| Key                | Type     | description                                                                     |
| ------------------ | -------- | ------------------------------------------------------------------------------- |
| `event`            | `json`   | desc goes here                                                                  |
| `canvas`           | `json`   | <p>label -<br>canvas -<br>action\_key -<br>action\_type -<br>iconImageUrl -</p> |
| `action_key`       | `string` | desc goes here                                                                  |
| `action_type`      | `string` | desc goes here                                                                  |
| `iconImageUrl`     | `string` | desc goes here                                                                  |
| `appInfo`          | `json`   | Success                                                                         |
| `availability`     | `json`   | Success                                                                         |
| `can_edit`         | `bool`   | desc goes here                                                                  |
| `can_initialize`   | `bool`   | desc goes here                                                                  |
| `can_submit`       | `bool`   | desc goes here                                                                  |
| `can_submit_sheet` | `bool`   | desc goes here                                                                  |
| `can_configure`    | `bool`   | desc goes here                                                                  |
| `can_options`      | `bool`   | desc goes here                                                                  |
| `order`            | test     | test                                                                            |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.acquire.io/rest-apis/cards.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
